mumble-server(1)

NAME
mumble-server - VoIP server.

SYNOPSIS
mumble-server [-ini inifile] [-fg] [-v]
mumble-server -supw password [serverid]
mumble-server -readsupw [serverid]
mumble-server -disablesu [serverid]
mumble-server -limits
mumble-server -wipessl
mumble-server -wipelogs
mumble-server -loggroups
mumble-server -logacls
mumble-server -license
mumble-server -authors
mumble-server -third-party-licenses
mumble-server -version|--version
mumble-server -h|-help|--help

DESCRIPTION
mumble-server is the server component of Mumble, a low-latency, high quality VoIP application.

OPTIONS

-h, -help, --help
    Show a summary of the options.

-ini inifile
    Specify which ini file to use. Without this option, mumble-server will search for a murmur.ini file and will fall back to builtin defaults if one isn't found.

-fg Run in the foreground (do not fork).

-v  Verbose mode, slightly more information is logged.

-supw password [serverid]
    This sets the SuperUser password for a server. SuperUser is a special account (similar to root) which bypasses all access controls. This command may be used while the server is running. Optionally takes a serverid representing the virtual server to set the password for.

-readsupw [serverid]
    Reads SuperUser password from stdin. Optionally takes a serverid representing the virtual server to set the password for.

-disablesu [serverid]
    Disables the SuperUser account. Optionally takes a serverid representing the virtual server to disable the SuperUser account on. Disabling the SuperUser account makes it impossible to log in as SuperUser until a new password is set. You can set a new SuperUser password with the -supw parameter.

-limits
    Tests and shows how many file descriptors and threads can be created. The purpose of this option is to test how many clients the server can handle. The server will exit after this test.

-wipessl
    Remove SSL certificates from database.

-wipelogs
    Remove all log entries from database.

-loggroups
    Turns on logging for group changes for all servers.

-logacls
    Turns on logging for ACL changes for all servers.

-license
    Show mumble-server's license.

-authors
    Show mumble-server's authors.

-third-party-licenses
    Show licenses for third-party software used by mumble-server.

-version, --version
    Show version information.

SIGNALS

SIGHUP
    Perform a log rotation. This causes mumble-server to re-open its log file.

SIGUSR1
    Gracefully reload the TLS settings specified in murmur.ini without interrupting service. When this signal is received, the server will apply the new TLS settings (certificate, private key, and Diffie-Hellman parameters) to all virtual servers that use the TLS settings from murmur.ini. Virtual servers that have overridden the settings from murmur.ini will not be affected by this signal. Those servers can be updated using the updateCertificate RPC call.

SEE ALSO
mumble(1), murmur-user-wrapper(1).

AUTHORS
mumble and mumble-server were written by The Mumble Developers.